Loading...
Searching...
No Matches
sequence Interface Reference
Alphabet » Range

The generic concept for a (biological) sequence. More...

`#include <seqan3/alphabet/range/sequence.hpp>`

Inheritance diagram for sequence:
[legend]

## Detailed Description

The generic concept for a (biological) sequence.

A (biological) sequence is (at least) a std::ranges::input_range whose reference type models seqan3::alphabet.

For example std::vector<seqan3::dna4> is a sequence of seqan3::dna4 characters.

### Concepts and doxygen

The requirements for this concept are given as related functions and type traits. Types that model this concept are shown as "implementing this interface".

This entity is stable. Since version 3.1.

The documentation for this interface was generated from the following file:

- sequence.hpp

Hide me